# Module ra_log_pre_init

- Function Index
- Function Details

Behaviours: `gen_server`.

## Function Index

start_link/1 |
init/1 |
handle_call/3 |
handle_cast/2 |
handle_info/2 |
terminate/2 |
code_change/3 |

## Function Details

### start_link/1

`start_link(System) -> any()`

### init/1

`init(X1) -> any()`

### handle_call/3

`handle_call(Request, From, State) -> any()`

### handle_cast/2

`handle_cast(Msg, State) -> any()`

### handle_info/2

`handle_info(Info, State) -> any()`

### terminate/2

`terminate(Reason, State) -> any()`

### code_change/3

`code_change(OldVsn, State, Extra) -> any()`

Generated by EDoc